---
- name: Handle dependencies
  ansible.builtin.include_tasks:
    file: deps.yml

- name: Build Bazel
  ansible.builtin.include_tasks:
    file: build.yml
  when: bazel_version != "bazelisk"

- name: Fetch Bazel binary
  ansible.builtin.include_tasks:
    file: fetch-binary.yml
  when: bazel_version == "bazelisk"
